Skip to main content

Endpoint

GET https://api.documind.cloud/api/v1/data/dashboard/telemetry

Authentication

Requires usage:read scope.

Query Parameters

NameTypeRequiredDescription
organization_idstringNoOrganization UUID. Non-admins can only request their own organization.
project_idstringNoProject UUID. Regular members can only request their active project.
user_idstringNoUser UUID. Platform admin only.
daysintegerNoRelative lookback window. Defaults to 30.
start_datedatetimeNoInclusive ISO 8601 start timestamp.
end_datedatetimeNoInclusive ISO 8601 end timestamp. Defaults to now.
group_bystringNoOne of day, week, or month. Defaults to day.

Response

The response is typed in Swagger as DashboardTelemetryResponse.
{
  "scope": {
    "type": "project",
    "organization_id": "org-id",
    "project_id": "project-id",
    "user_id": null
  },
  "period": {
    "start": "2026-06-08T00:00:00Z",
    "end": "2026-07-08T00:00:00Z",
    "group_by": "day"
  },
  "summary": {
    "documents": {
      "extraction_records": 250,
      "charged_documents": 240,
      "completed_records": 240,
      "failed_records": 10,
      "pending_records": 0,
      "success_rate_percentage": 96.0,
      "failure_rate_percentage": 4.0
    },
    "credits": {
      "spent": 2800,
      "extraction": 2750,
      "citation_matching": 50,
      "average_per_charged_document": 11.67,
      "average_per_page": 10.0
    },
    "pages": {
      "processed": 280,
      "average_per_charged_document": 1.17
    },
    "tokens": { "used": 4200000 },
    "reviews": { "needs_review": 18, "reviewed": 12 },
    "activity": {
      "active_extraction_users": 3,
      "members_in_scope": 5,
      "active_api_keys": 2
    },
    "credit_balance": {
      "active_credit_accounts": 5,
      "available_credits": 120000,
      "total_credits": 150000,
      "lifetime_credits": 200000
    },
    "processing_time_seconds": {
      "source": "core.extractions.results_metadata.processing_time_seconds",
      "available_records": 200,
      "missing_records": 50,
      "average": 4.2,
      "p50": 3.5,
      "p95": 11.9,
      "min": 0.8,
      "max": 31.4
    }
  },
  "timeseries": [],
  "breakdowns": {
    "by_status": [],
    "by_project": [],
    "by_model": []
  },
  "data_quality": {
    "charge_rows": 245,
    "charge_rows_deduplicated": 0,
    "charged_documents_missing_page_count": 0,
    "processing_time_coverage_percentage": 80.0
  }
}